View Issue Details

IDProjectCategoryView StatusLast Update
0001300SOGoBackend Calendarpublic2012-04-30 09:15
Reportergienger Assigned Toludovic  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.7 
Fixed in Version1.3.15 
Summary0001300: Hide UIDFieldName@SOGoMailDomain in calendar-user-address-set - Apple iCal usability
Description

Would it be a big task to insert a configurable option to hide UIDFieldName@SOGoMailDomain in the calendar-user-address-set?

In my account case, the PROPFIND results in the following:

 <a:calendar-user-address-set>
  <D:href xmlns:D="DAV:">mailto:pascal.gienger@uni-konstanz.de</D:href>
  <D:href xmlns:D="DAV:">mailto:p3749640@uni-konstanz.de</D:href>
 </a:calendar-user-address-set>

"p3749640" is our internal user id which gets never to the outside, our IMAP boxes have also this name. It is the "uid" field in LDAP and with this unique id the database tables get populated by SOGo. That's good.

SOGo seems to give away "p3749640@uni-konstanz.de" also as calendar user name, but this address will not be usable from the outside.
Apple iCal does use this address (I don't know why) as its internal user name after creating the account and it won't recognize that "pascal.gienger@uni-konstanz.de" is the same as "p3749640@uni-konstanz.de". This is very confusing and appalling.

The easiest reason would be to only issue the mail address as calendar-user-address-set, configurable by a Yes/No-Option.

TagsNo tags attached.

Activities

ludovic

ludovic

2012-04-18 15:21

administrator   ~0003767

Are you in a position to test a patch for this?

Christian Mack

Christian Mack

2012-04-19 11:12

developer   ~0003784

I currently build a 1.3.14 from sources.
So yes, I will be able to test a patch soon.

ludovic

ludovic

2012-04-19 11:35

administrator   ~0003786

Try this patch please:

============================================================
--- SoObjects/Appointments/SOGoUserFolder+Appointments.m 054cd3573050ec245454513d4859f55116c46b79
+++ SoObjects/Appointments/SOGoUserFolder+Appointments.m c2abe1c0048c0848fd3ee12941bbcf0444afad38
@@ -63,12 +63,19 @@
NSMutableDictionary doneEmails;
NSString
currentEmail;
SOGoUser *ownerUser;

  • int count;

    addresses = [NSMutableArray array];

    doneEmails = [NSMutableDictionary dictionary];
    ownerUser = [SOGoUser userWithLogin: owner];

  • emails = [[ownerUser allEmails] objectEnumerator];
  • count = [[ownerUser allEmails] count];
  • if (count > 1)
  • emails = [[[ownerUser allEmails] subarrayWithRange: NSMakeRange(0, count-1)] objectEnumerator];
  • else
  • emails = [[ownerUser allEmails] objectEnumerator];
  • while ((currentEmail = [emails nextObject]))
    {
    if (![doneEmails objectForKey: currentEmail])

ludovic

ludovic

2012-04-23 10:12

administrator   ~0003805

Any updates on that patch?

Christian Mack

Christian Mack

2012-04-25 05:32

developer   ~0003813

Sorry for the late response.
I had some trouble getting my test system running :-/

But:
This patch works for us.

Good work!

Thanks
Christian

ludovic

ludovic

2012-04-30 09:15

administrator   ~0003830

Fixed - see: http://mtn.inverse.ca/revision/diff/c64050fc650935a4d7620ed869e3e3863b178c1e/with/4e2b45bb5b0360d8cf107846fa39fb12f6bacf7f

Can you please retest and report if everything is alright? You have to set SOGoHideSystemEMail to YES for that to work.

Issue History

Date Modified Username Field Change
2011-05-13 04:47 gienger New Issue
2012-04-18 15:21 ludovic Note Added: 0003767
2012-04-19 11:12 Christian Mack Note Added: 0003784
2012-04-19 11:35 ludovic Note Added: 0003786
2012-04-23 10:12 ludovic Note Added: 0003805
2012-04-25 05:32 Christian Mack Note Added: 0003813
2012-04-30 09:15 ludovic Note Added: 0003830
2012-04-30 09:15 ludovic Status new => resolved
2012-04-30 09:15 ludovic Fixed in Version => 1.3.15
2012-04-30 09:15 ludovic Resolution open => fixed
2012-04-30 09:15 ludovic Assigned To => ludovic
2012-04-30 09:15 ludovic Status resolved => closed